import os
import pandas as pd
import matplotlib.pyplot as plt
import usefulfunctions as uf

here = os.path.abspath(os.path.dirname(__file__))


# plot parameters
fontsize = 16
lfontsize = 16
fullpagewidth = 7
fmt = 'svg'
dpi = 300
linewidth = 1
alpha = 0.1

fig, ax = plt.subplots(figsize=(14/3, 4))

# load
pn = pd.read_csv(os.path.join(here, 'data', 'pentacene_surface_1.csv'), index_col=0, header=0)
    
    
# plot
ax.plot(pn.index.values, pn.values, 'k-')

ax.set_xlim([0, max(pn.index.values)])
ax.set_ylim([0, 1.1*pn.max().max()])
ax.set_xlabel(r'Horizontal Distance ($\mu$m)', fontsize=fontsize)
ax.set_ylabel('Height (nm)', fontsize=fontsize)

ax = uf.format_axes(ax, labelsize=fontsize)
ax = uf.linearticks(ax, xmajorsep=0.2, xminorsep=0.1, ymajorsep=2, yminorsep=1)
    
fig.savefig('figS4_b.{0}'.format(fmt), format=fmt, dpi=dpi, bbox_inches='tight')
