import os
import pandas as pd
import matplotlib.pyplot as plt
import usefulfunctions as uf

here = os.path.abspath(os.path.dirname(__file__))

calib = pd.read_csv(os.path.join(here, 'data', 'iCCD_correction_factor.csv'), header=None, index_col=0, squeeze=True)

fig, ax = plt.subplots(figsize=(7, 4))

ax.semilogy(calib.index.values, 1/calib.values, 'k-', linewidth=1.5)
ax = uf.logticks(ax, which='y')
ax = uf.linearticks(ax, xmajorsep=100, xminorsep=50)
ax = uf.format_axes(ax, labelsize=16)
ax.grid(which='both')
ax.set_xlabel('Wavelength (nm)', fontsize=16)
ax.set_ylabel('1 / Correction Factor', fontsize=16)

fig.savefig('figS5_all.svg', format='svg', dpi=300, bbox_inches='tight')